

/* hero-content */
.hero-section {
    position: relative;
    height: 70vh;
    /* background: url("hotel.jpg") center/cover no-repeat; */
  /* background: url("images/home.webp") center center/cover no-repeat; */
    background: url("images/video.jpg") center center/cover no-repeat;


    display: flex;
    align-items: center;
    justify-content: center;
   
}

.hero-overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.6);
    top: 0;
    left: 0;
}

.hero-content {
    position: relative;
    color: #fff;
    max-width: 900px;
}

.hero-content h1 {
    font-size: 55px;
    font-weight: 700;
}

.hero-content p {
    margin-top: 20px;
    font-size: 18px;
}

.hero-content span {
    color: #c8a96a;
    font-weight: 600;
}
/* hero section-end  */
.building-section {
    background: #f5f5f5;
    padding: 60px 20px;
}

.building-section h2 {
    font-size: 22px;
    font-weight: 600;
}

.building-section h2 span {
    color: rgb(42 144 172);
    font-size: 30px;
    font-weight: 700;
}

.building-section p {
    margin-top: 20px;
    font-size: 16px;
    color: #444;
    max-width: 900px;
    margin-left: auto;
    margin-right: auto;
}

.building-section p span {
    color:  rgb(42 144 172);
    font-size: 20px;
    font-weight: 700;
}

/* Process Section */
.process-section {
    background: #f0f0f0;
    padding: 60px 20px;
}

.process-section h3 {
    font-size: 24px;
    font-weight: 600;
}

.process-box {
    margin-bottom: 30px;
}

.icon {
    font-size: 50px;
    margin-bottom: 15px;
}

.yellow { color: #f4b400; }
.green { color: #5f7d2b; }
.red { color: #a94442; }
.blue { color:rgb(42 144 172); }


.process-box p {
    font-weight: 500;
    font-size: 14px;
}

.right {
  width: 45%;
  display: flex;
  gap: 20px;
  
}

.right img {
  width: 50%;
  border-radius: 20px;
  height: 400px;
}

.flip-img {
  width: 50%;
  height: 400px;
  border-radius: 20px;
  transition: transform 1.8s ease;
  transform: rotateY(0);
  backface-visibility: transform 3.8s ease;
}

/* Active class */
.flip-active {
  transform: rotateY(180deg);
}
.left p { color: #666; margin-bottom: 25px; }

button {
  background: #11afed;
  color: #fff;
  border: 0;
  padding: 10px 22px;
  border-radius: 5px;
}
.line {
  width: 60px;
  height: 4px;
  background: #11afed;
  margin: 20px 0;
}
left { width: 50%; }

.left h2 { font-size: 28px; font-weight: 700; }
.OFFERING {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.offer-section {
  background: #f5f5f5;
  padding: 80px 10%;
}
/* six images  */
.team-section {
  padding: 60px 10%;
  background:rgba(128, 128, 128, 0.264);
}

.team-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 25px;
}
.card {
  background: #fff;
  text-align: center;
  padding-bottom: 15px;
  border-radius: 10px;
  transition: 0.4s ease;
  overflow: hidden;
}

/* Card Hover Lift */
.card:hover {
  transform: translateY(-10px);
  box-shadow: 0 15px 30px rgba(0,0,0,0.15);
}

/* Image Zoom Effect */
.card img {
  width: 100%;
  height: 300px;
  border-radius: 10px;
  transition: 0.4s ease;
}

.card:hover img {
  transform: scale(1.08);
}

/* our-Vision */

.image-box img {
  width: 100%;
  border-radius: 15px;
}

.image-box {
  flex: 1;
}

.content-box {
  flex: 1;
}

.content-box h2 {
  margin-bottom: 10px;
  font-size: 35px;
   color:  rgb(4, 109, 138);
   font-weight: 700;
}

.content-box p {
  margin-bottom: 25px;
  color: #555;
  line-height: 1.6;
}

.about-section {
  padding: 50px 20px;
  background: #f5f5f5;
}
.Vision-container {
  display: flex;
  gap: 40px;
  align-items: center;
  max-width: 1200px;
  margin: auto;
}
/* ---count---- */

.stats-section {
  position: relative;
  padding: 100px 50px;
  background: url("construction-bg.jpg") no-repeat center;
  background-size: cover;
}



.stats-container {
  position: relative;
  display: flex;
  justify-content: space-between;
  max-width: 1200px;
  margin: auto;
  flex-wrap: wrap;
}

.stat-box {
  position: relative;
  width: 23%;
  padding-top: 60px;
  margin-left: 10px;
}

.stat-box h1 {
  font-size: 60px;
  font-weight: bold;
}

.stat-box span {
  color: rgb(4, 109, 138) ;
}

.stat-box p {
  margin-top: 10px;
  font-size: 22px;
  font-weight: 600;
}

/* Vertical Line */
.line {
  position: absolute;
  top: 0;
  left: -10px;
  width: 2px;
  height: 100px;
  background: #000;
}

/* Circle Dot */
.dot {
  position: absolute;
  top: 10px;
  left: -17px;
  width: 18px;
  height: 18px;
  background: #999;
  border-radius: 50%;
  border: 3px solid #fff;
}
.stats-section {
  position: relative;
  padding: 120px 20px;
  overflow: hidden;
}

/* Moving Background Layer */
.stats-section::before {
  content: "";
  position: absolute;
  inset: 0;
  background: url("images/bg-scrooling.png") repeat-x;
  background-size: cover;
  animation: moveBg 20s linear infinite;
  z-index: -1;
}

/* Light Overlay */
.overlay {
  position: absolute;
  inset: 0;
  background: rgba(234, 234, 237, 0.845);
}

/* Animation */
@keyframes moveBg {
  from {
    background-position: 0 0;
  }
  to {
    background-position: 1000px 0;
  }
}
/* contact */
.contact-section{padding:80px 20px;background:#f4f4f4,;display: flex;}
.contact-us{max-width:1200px;margin:auto;display:flex;gap:50px;flex-wrap:wrap;}

.left,.right{flex:1;}

.small-title{color:#1889f3;font-weight:bold;letter-spacing:2px;}
.left h1{font-size:55px;margin:20px 0 40px;}

.info-grid{display:grid;grid-template-columns:repeat(2,1fr);gap:30px;}
.info-box{display:flex;gap:15px;align-items:center;}

/* .icon{
  width:55px;height:55px;background:#ff5a00;color:#fff;
  display:flex;align-items:center;justify-content:center;
  border-radius:50%;
} */

.info-box p{color:#666;}

.top-text{margin-bottom:25px;}

.contact-form{
  display:grid;
  grid-template-columns:repeat(2,1fr);
  gap:20px;
}

.contact-form input,
.contact-form textarea{
  padding:15px;
  border:none;
  border-radius:30px;
  background:#e9e9e9;
}

.contact-form textarea{
  grid-column:span 2;
  height:140px;
  border-radius:20px;
  resize:none;
}
.contact-btn{
  padding:12px 28px;
  border:2px solid #2294f7;
  color:#00d0ff;
  border-radius:30px;
  text-decoration:none;
  transition:.3s;
}

.contact-btn:hover{
  background:#068dbe;
  color:#fff;
}
.contact-img{
  width:100%;
  max-width:350px;
  border-radius:20px;
  object-fit:cover;
  box-shadow:0 10px 25px rgba(0,0,0,0.15);
}




@media(max-width:750px){
    .stats-container{
    flex-direction:column;
    align-items:center;
    gap:30px;
  }

  .stat-box{
    width:100%;
    max-width:300px;
    text-align:center;
  }
  .stat-box h1 {font-size: 40px;}


  .hero-content h1{font-size:30px;}
  .stat-box{text-align: center;}
  /* .stats-container h3{font-size: 10px;} */

  .team-container{
    display:grid;
    grid-template-columns:1fr;
    gap:25px;
    text-align:center;
  }

  .OFFERING,
  .Vision-container{
    display:flex;
    flex-direction:column;
    gap:30px;
    text-align:center;
  }

   .right{
    display:flex;
    flex-direction:column;
    align-items:center;
    gap:20px;   /* 👈 gap between images */
  }

  .right img{
    width:100%;
    max-width:350px;
    height:auto;   /* fixed height remove chey */
    margin:0;      /* margin-left remove */
    display:block;
  }

  .content-box h2{font-size:24px;}
  .content-box p{font-size:15px;}

}


